| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Typedefs
type_int.hpp File Reference

Core features More...

Go to the source code of this file.

## Typedefs
typedef detail::highp_int_t | highp_int
| High qualifier signed integer. More...
typedef detail::highp_uint_t | highp_uint
| High qualifier unsigned integer. More...
typedef detail::int16 | int16
| 16 bit signed integer type. More...
typedef detail::int32 | int32
| 32 bit signed integer type. More...
typedef detail::int64 | int64
| 64 bit signed integer type. More...
typedef detail::int8 | int8
| 8 bit signed integer type. More...
typedef detail::lowp_int_t | lowp_int
| Low qualifier signed integer. More...
typedef detail::lowp_uint_t | lowp_uint
| Low qualifier unsigned integer. More...
typedef detail::mediump_int_t | mediump_int
| Medium qualifier signed integer. More...
typedef detail::mediump_uint_t | mediump_uint
| Medium qualifier unsigned integer. More...
typedef unsigned int | uint
| Unsigned integer type. More...
typedef detail::uint16 | uint16
| 16 bit unsigned integer type. More...
typedef detail::uint32 | uint32
| 32 bit unsigned integer type. More...
typedef detail::uint64 | uint64
| 64 bit unsigned integer type. More...
typedef detail::uint8 | uint8
| 8 bit unsigned integer type. More...

## Detailed Description

Core features

Definition in file type_int.hpp.